Subject: RE: [seamoby-context] Re: [RE: [seamoby] Reactive context transfe r]

From: "Gary Kenward" <[email-masked]>
Date: Mon, 18 Jun 2001 17:05:30 -0400

Phil:
 
  It's not my decision. I'm just expressing my point of view.
If you were expecting to convince me to change the requirements,
that isn't going to happen. I'm just the editor. You might be able to 
convince me, but you have to convince the wg, not just me.
 
  Pat's put into place a formal process for identifying issues. I suggest
you follow that procedure and see what the wg says. 
 
  One thought: if you can capture all the MANET specific requirements
and post them, perhaps, after the usual discussion and consensus, we
can include them as MANET specific requirements. This would satisfy me,
as I don't want to forget the all-wireless solution, but I would like to
keep
the discussions separate.
 
  Does this make sense?
 
Regards,
Gary

-----Original Message-----
From: Phillip Neumiller [mailto:[email-masked]]
Sent: Monday, June 18, 2001 4:56 PM
To: Kenward, Gary [WDLN2:AN10:EXCH]; [email-masked]
Subject: RE: [seamoby-context] Re: [RE: [seamoby] Reactive context transfe
r]

Gary,
 
I guess at this point I am just flustered.  It appears that I am unable to
make my points (at least in a reasonable amount of time).  So I will just
say that the requirements are fine, except for the fact that they don't
even begin to address MANET-ish architecture issues at this time.
I don't want to impede progress, so please feel free to ignore this thread
and continue on with the submission.
 
Thanks,
 
Phil

-----Original Message-----
From: Gary Kenward [mailto:[email-masked]]
Sent: Monday, June 18, 2001 4:49 PM
To: [email-masked]
Subject: RE: [seamoby-context] Re: [RE: [seamoby] Reactive context transfe
r]

The real problem here, Phil, is the mixing of MANET requirements 
with access network requirements. In an access network scenario, 
there are *many* reasons to keep the complexity and overhead within 
the access network. The major one being the availability of bandwidth, 
and the typically lower latencies within the access network. The cost 
(in terms of $$$, size, power) of putting a function at the MN for an 
access network scenario is, in general, always greater then the cost 
of putting the same function in the network itself. 

Now, for an all-wireless network, you have no choice, and so MRs 
must CT across wireless channels. I would still tend to believe that 
it would be worthwhile to keep the MH separate from the MR functionality 
(at the very least, for the sake of generality), and it is always better 
to keep complexity and cost to a minimum at the MH (I've worked for device 
manufacturers too). 

Does this help? 
Gary 

> -----Original Message----- 
> From: Phillip Neumiller [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> Sent: Monday, June 18, 2001 3:15 PM 
> To: 'Kulwinder Atwal'; Phillip Neumiller; 'Pat Calhoun' 
> Cc: Syed, Hamid [WDLN2:AN22:EXCH]; Kenward, Gary [WDLN2:AN10:EXCH]; 
> Rajeev Koodli; [email-masked]; [email-masked] 
> Subject: RE: [seamoby-context] Re: [RE: [seamoby] Reactive context 
> transfe r] 
> 
> 
> Then why does Gary believe it is not possible?  I am confused. 
> Seems that Kulwinder and Gary are contradicting each other about 
> the same requirements.   Can one of you explain? 
> 
> > -----Original Message----- 
> > From: Kulwinder Atwal [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> > Sent: Monday, June 18, 2001 3:04 PM 
> > To: 'Phillip Neumiller'; Kulwinder Atwal; 'Pat Calhoun' 
> > Cc: 'Hamid Syed'; Gary Kenward; Rajeev Koodli; 
> > [email-masked]; 
> > [email-masked] 
> > Subject: RE: [seamoby-context] Re: [RE: [seamoby] Reactive context 
> > transfe r] 
> > 
> > 
> > 
> > 
> > > -----Original Message----- 
> > > From: Phillip Neumiller [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> > > Sent: Monday, June 18, 2001 2:48 PM 
> > > To: 'Kulwinder Atwal'; Phillip Neumiller; 'Pat Calhoun' 
> > > Cc: 'Hamid Syed'; Gary Kenward; Rajeev Koodli; 
> > > [email-masked]; 
> > > [email-masked] 
> > > Subject: RE: [seamoby-context] Re: [RE: [seamoby] Reactive context 
> > > transfe r] 
> > > 
> > > 
> > > 
> > > 
> > > > -----Original Message----- 
> > > > From: Kulwinder Atwal [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> > > > 
> > > > I believe making it explicit will almost guarrantee a 
> > > > religous holy war on 
> > > > the best MANET approach on the main Seamoby list. 
> > > > 
> > > Huh?  I don't think MANET folks get into holy wars for one. 
> > > 
> > >  
> > > > I think we have done what Allison Mankin requested.  Provide 
> > > > a 'Tool Kit' 
> > > > for ANY routing protocol to use. 
> > > > 
> > > > Are there specific requirements that are missing? 
> > > > 
> > > Yes lots of MANET requirements, but everytime I try to bring 
> > > up the most basic ones I get some kind of push back from you 
> > > Kulwinder. I am not sure why.  Also, to answer Gary's question, 
> > > MN's MUST be able to accept and send context.  I can give at 
> > > least a six reasons off the top of my head. 
> > > 
> > > 1).  They may be routers. 
> > > 2).  They may be gateways. 
> > > 3).  They may have multiple active link layers. 
> > > 4).  They may be transitiioning from fixed to wireless or 
> > vice versa. 
> > > 5).  They may use CT information in handoff decisions. 
> > > 6).  They may use CT information in routing decisions. 
> > > 
> > 
> > The current CT Protocol requirements + Mobile Router 
> Protocol + Router 
> > Discovery Protocol, I believe can handle ALL of these scenerios. 
> > 
> > If you don't think so, show me. 
> > 
> > - Kulwinder. 
> > 
> > 
>